Subject: Re: How to use Localbus on 5200B w/ 2.6.29.1

From: Albrecht Dreß <[email-masked]>
Date: Tue, 28 Apr 2009 19:55:17 +0200

Hi Grant:

Am 27.04.09 19:36 schrieb(en) Grant Likely:
> For completeness use: compatible =  
> "fsl,mpc5200b-lpb","fsl,mpc5200-lpb","simple-bus";  Then it will work.

I doesn't.  I had to add "fsl,lpb", without no localbus nodes show up.   
The file arch/powerpc/platforms/52xx/mpc52xx_common.c lists only  
"fsl,lpb"  as "compatible".  Or did I miss something here?

> If this is on CS3, then reg should be:
>                reg = <3 0x0 0x100>;            // 256 Bytes, 32 used

Ouch.  Sorry, that was the error.  Works perfectly now...

Thanks a lot for your help,
Albrecht.